import request from '@/utils/request'

export function getSystemNoticeList(param) {
  return request({
    url: '/SystemNotice/getSystemNoticeList',
    method: 'post',
    data: param
  })
}

export function addOrUpdateSystemNotice(param) {
  return request({
    url: '/SystemNotice/addOrUpdateSystemNotice',
    method: 'post',
    data: param
  })
}

export function deleteSystemNotice(param) {
  return request({
    url: `/SystemNotice/deleteSystemNotice/${param.SystemNoticeId}`,
    method: 'post',
    data: param
  })
}

export function uploadSystemNoticeDoc(param) {
  return request({
    url: `/SystemNotice/UploadSystemNoticeDoc`,
    method: 'post',
    data: param
  })
}
